// Questo file fa parte di MyTown.
// MyTown è software libero: puoi ridistribuirlo e/o modificarlo secondo
// i termini della GNU Affero General Public License come pubblicata dalla
// Free Software Foundation, versione 3.
// Distribuito senza ALCUNA GARANZIA; vedi la GNU AGPL v3 per i dettagli.
// Copyright (C) Kondor Consulting & Services S.r.l.
// SPDX-License-Identifier: AGPL-3.0-or-later

import { Component, OnInit } from '@angular/core';
import { IonicModule, ModalController } from '@ionic/angular';
import { SopralluoghiFiltro } from 'src/app/models/sopralluoghiFiltro.model';

import { FormsModule } from '@angular/forms';

@Component({
	selector: 'app-persone-presenti-modal',
	templateUrl: './persone-presenti-modal.component.html',
	styleUrls: ['./persone-presenti-modal.component.scss'],
	imports: [FormsModule, IonicModule],
})
export class PersonePresentiModalComponent implements OnInit {
	constructor(private modalCtrl: ModalController) {}

	persone_presenti: any;

	persone_presenti_nome: string = '';
	persone_presenti_cognome: string = '';
	persone_presenti_ruolo: string = '';
	persone_presenti_mail: string = '';

	ngOnInit() {}

	addPersonePresenti() {
		let pp = { nome: this.persone_presenti_nome, cognome: this.persone_presenti_cognome, ruolo: this.persone_presenti_ruolo, mail: this.persone_presenti_mail };
		if (!this.persone_presenti) {
			this.persone_presenti = [];
		}
		this.persone_presenti.push(pp);
		this.persone_presenti_cognome = '';
		this.persone_presenti_nome = '';
		this.persone_presenti_ruolo = '';
		this.persone_presenti_mail = '';

		this.modalCtrl.dismiss(this.persone_presenti);
	}

	cancel() {
		this.modalCtrl.dismiss();
	}
}
